TP C#5: Input/Output

This is the final version of Marc Schmitt's code for the TP5.
Please note that there are already several test calls to all the functions for you to try them out and see if they work. Those are commented out, so they do not interfere with any tests you might want to run.


Maze:
Added functions:
* Maze.FindFinish:
    - Finds the finish point of the maze
* Maze.SolveMaze:
    - Asks the user which method to use to solve the maze
* Maze.Parsegrid:
    - Converts a char[][] into a multi-line string
* Maze.PrintGrid:
    - Prints the maze
* Point.IsInGrid:
    - Checks if a point is in a grid (char[][] or int[][])
* MazeSolveWeightRecording:
    - Class that allows to solve the maze using a A*-like method
    - Method used: https://en.wikipedia.org/wiki/Pathfinding#Sample_algorithm
* MazeSolveWeightRecording.SolveMaze:
    - Main function that coordinates the work
* MazeSolveWeightRecording.SolveMazeWeight:
    - Finds all possible paths and saves the weight of each step
* MazeSolveWeightRecording.MinimumPoint:
    - Returns the point with the smallest weight
* MazeSolveWeightRecording.ReconstituePath:
    - Finds the best path and writes it to the maze
